CommonValueMatchers (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching

## Class CommonValueMatchers

- java.lang.Object
- - org.neo4j.graphmatching.CommonValueMatchers

- Deprecated.

      @Deprecated
      public abstract class CommonValueMatchers
      extends Object

  This class contain factory methods for some common `ValueMatcher`s.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValueMatcher` | `exact(Object valueToMatch)` Deprecated. Checks for equality between a value and `valueToMatch`.
    `static ValueMatcher` | `exactAny(Object valueToMatch)` Deprecated. Checks for equality between a value and `valueToMatch`.
    `static ValueMatcher` | `exactAnyOf(Object... anyOfTheseToMatch)` Deprecated. Checks for equality between a value and any one of `anyOfTheseToMatch`.
    `static ValueMatcher` | `has()` Deprecated. Checks that the property exists.
    `static ValueMatcher` | `regex(Pattern pattern)` Deprecated. Checks that the `String` property matches the specified regular expression pattern.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### exact

          public static ValueMatcher exact(Object valueToMatch)

      Deprecated.
      Checks for equality between a value and `valueToMatch`. Returns `true` if the value isn't null and is equal to `valueToMatch`, else `false`.
      Parameters:
        `valueToMatch` - the expected value.
      Returns:
        whether or not a value is equal to `valueToMatch`.

    - #### exactAny

          public static ValueMatcher exactAny(Object valueToMatch)

      Deprecated.
      Checks for equality between a value and `valueToMatch`. If the value is an array each item in the array is matched against `valueToMatch` and if any of those matches it's considered a match.
      Parameters:
        `valueToMatch` - the expected value.
      Returns:
        whether or not a value is equal to `valueToMatch`.

    - #### exactAnyOf

          public static ValueMatcher exactAnyOf(Object... anyOfTheseToMatch)

      Deprecated.
      Checks for equality between a value and any one of `anyOfTheseToMatch`. If the value is an array each item in the array is matched against any one of `valueToMatch` and if any of those matches it's considered a match.
      Parameters:
        `anyOfTheseToMatch` - the expected value.
      Returns:
        whether or not a value is equal to any one of `anyOfTheseToMatch`.

    - #### has

          public static ValueMatcher has()

      Deprecated.
      Checks that the property exists.
      Returns:
        a matcher that verifies that the property exists.

    - #### regex

          public static ValueMatcher regex(Pattern pattern)

      Deprecated.
      Checks that the `String` property matches the specified regular expression pattern.
      Parameters:
        `pattern` - the regular expression pattern to match the property with.
      Returns:
        a matcher that verifies that the property matches the given regular expression.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.